In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
guid
string
required
The unique identifier for the payment. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK
scheduled_payment
object
Hide child attributes
scheduled_payment.amount
integer
The amount of the scheduled_payment.
Example:
10.97
scheduled_payment.created_at
string
Date and time the scheduled_payment was created, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
Example:
"2015-04-13T12:01:23-00:00"
scheduled_payment.description
string
A human-readable description of the scheduled_payment, e.g., Power bill.
Example:
"Power bill"
scheduled_payment.guid
string
The unique identifier for the scheduled_payment, such as a recurring utility bill or streaming subscription. Defined by MX.
Example:
"SCH-e386a323-e452-47f2-b2fd-1ac3c18533de"
scheduled_payment.is_completed
boolean
Indicates whether the scheduled_payment has been paid or not. This field is only applicable to one-time transactions.
Example:
false
scheduled_payment.is_recurring
boolean
Indicates whether the scheduled_payment is expected to repeat.
Example:
true
scheduled_payment.merchant_guid
string
The unique identifier for the merchant identified in the scheduled_payment.
Example:
"MCH-5005cd15-c3e5-0e69-ec98-c95147860a45"
scheduled_payment.occurs_on
string
The date on which the payment is scheduled to occur, given in ISO 8601 format without a timestamp.
Example:
"2018-12-13T00:00:00.000Z"
scheduled_payment.recurrence_day
integer
The day of the month where the next payment is expected to occur.
Example:
3
scheduled_payment.recurrence_type
integer
The repeatable pattern for the scheduled_payment, given as an integer.
Example:
3
scheduled_payment.recurrence_type_name
string
The repeatable pattern for the scheduled_payment, given as a string.
Example:
"EVERY_MONTH"
scheduled_payment.transaction_type
integer
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
Example:
2
scheduled_payment.transaction_type_name
string
Indicates whether the transaction is a credit or a debit. 1 = CREDIT, 2 = DEBIT.
Example:
"DEBIT"
scheduled_payment.updated_at
string
Date and time the scheduled_payment was last updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
Example:
"2015-04-13T12:01:23.000Z"
scheduled_payment.user_guid
string
The unique identifier for the user associated with a scheduled_payment. Scheduled payments are attached to the user_guid, not individual accounts held by the user. Defined by MX.